Description

The Smart Proxy that is used for updating the DNS PTR entries is - afaict - the same that is used for the forward record.

However, the Smart-Proxy to be used should be chosen based on the subnet and not based on the domain.

Associated revisions

Revision 1a77be58 - 05/24/2012 11:06 AM - Ohad Levy

fixes #1558 - Smart Proxy for DNS PTR is not chosen properly

Revision dd42df0a - 05/29/2012 03:41 AM - Ohad Levy

adds ec2 provisioning support fixes #1223

- added progress bar for instance creation

- minor fixes for certname based deployments

- added ssh provisioning support to orchestartion, which utilize finish

scripts by default

- added images support (part of the vm compute tab)

- cleanup a lot of unused view attributes in favour of a couple html5

data attributes

- adds capabilities to each compute resource (e.g. build vs. image

provisioning)

- allow to access @host.compute_resource and @host.info in provisioning

templates

- added automatic ssh key pair generation when creating a new compute

resource (note, if you already created one, you would need to delete

it and create it again

- reverse dns now depends on the selected subnet - fixes #1558

- added readonly console support for ec2

History

#1 - 03/28/2012 09:32 AM - Ohad Levy

- Status changed from New to Need more information

can you please provide more details/examples?

#2 - 03/28/2012 10:05 AM - Andreas Rogge

Example:

I got two DNS smart proxies foo and bar.

foo handles the zones foo.example.com and 2.0.192.in-addr.arpa.

bar handles the zones bar.example.com and 100.51.198.in-addr.arpa.

Now I create three hosts:

huey - domain foo.example.com, subnet 192.0.2.0

dewey - domain bar.example.com, subnet 198.51.100.0

louie - domain foo.example.com, subnet 198.51.100.0
As far as I can tell the current behaviour would lead to the following situation:

For huey both DNS entries will be created via smart-proxy foo

For dewey both DNS entries will be created via smart-proxy bar

For louie both DNS entries will be created via smart-proxy foo

The last one - louie - will fail, as is isn't possible to add a PTR for subnet 198.51.100.0 in zone 100.51.198.in-addr.arpa through smart-proxy foo.

Foreman should decide which smart-proxy to use for adding the reverse DNS record based on the configuration of the subnet.

Additionally Foreman should skip the reverse DNS record when no dns smart-proxy is configured for the subnet as this means there is no way for

foreman to manage the PTR record.

#3 - 05/21/2012 10:23 AM - Ohad Levy

- Category set to DNS

- Status changed from Need more information to New

- Assignee set to Ohad Levy

- Target version set to 1.0

#4 - 05/21/2012 04:12 PM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"dc8c54dfd229b5a1dbcd5276f6f849310c4c59d7".
